API Reference
Authorization
ApiKeyAuth Authorization<token>
Use Bearer br_live_....
In: header
Path Parameters
assetId*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/workspace/media/assets/string/reframe-plan" \ -H "Content-Type: application/json" \ -d '{ "project_id": "string", "aspect_ratio": "9:16", "trim_start_seconds": 0, "trim_end_seconds": 0, "content_type_hint": "auto", "layout_strategy": "auto" }'{ "asset_id": "string", "project_id": "string", "aspect_ratio": "9:16", "trim_start_seconds": 0, "trim_end_seconds": 0, "analysis": { "status": "missing", "analysis_version": 0, "error_message": "string", "primary_classification": "unknown", "classification_confidence": 0, "fallback_template_key": "manual", "dominant_speaker_side": "left", "frames_analyzed": 0, "low_confidence": true }, "layout_summary": { "primary_layout": "manual", "layouts_used": [ "manual" ], "segment_count": 0, "split_segment_count": 0, "focus_segment_count": 0, "letterbox_segment_count": 0, "fallback_segment_count": 0 }, "segments": [ { "segment_key": "string", "layout_key": "manual", "trim_start_seconds": 0, "trim_end_seconds": 0, "output_start_seconds": 0, "output_duration_seconds": 0, "confidence": 0, "fallback_reason": "string", "notes": [ "string" ], "views": [ { "sync_role": "primary", "layer_index": 0, "source_crop": { "x": 0, "y": 0, "width": 0, "height": 0 }, "canvas_rect": { "x": 0, "y": 0, "width": 0, "height": 0 }, "fit_mode": "contain", "mask_shape": "none", "mask_radius": 0 } ] } ], "warnings": [ "string" ]}